CVE-2023-28484

NameCVE-2023-28484
DescriptionIn libxml2 before 2.10.4, parsing of certain invalid XSD schemas can lead to a NULL pointer dereference and subsequently a segfault. This occurs in xmlSchemaFixupComplexType in xmlschemas.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-3405-1, DSA-5391-1
Debian Bugs1034436

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libxml2 (PTS)buster2.9.4+dfsg1-7+deb10u4vulnerable
buster (security)2.9.4+dfsg1-7+deb10u6fixed
bullseye (security), bullseye2.9.10+dfsg-6.7+deb11u4fixed
bookworm2.9.14+dfsg-1.3~deb12u1fixed
trixie, sid2.9.14+dfsg-1.3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libxml2sourcebuster2.9.4+dfsg1-7+deb10u6DLA-3405-1
libxml2sourcebullseye2.9.10+dfsg-6.7+deb11u4DSA-5391-1
libxml2source(unstable)2.9.14+dfsg-1.21034436

Notes

https://bugzilla.redhat.com/show_bug.cgi?id=2185994
Related (but not strictly part of the CVE): https://gitlab.gnome.org/GNOME/libxml2/-/commit/4c6922f763ad958c48ff66f82823ae21f2e92ee6 (v2.10.4)
Fixed by: https://gitlab.gnome.org/GNOME/libxml2/-/commit/647e072ea0a2f12687fa05c172f4c4713fdb0c4f (v2.10.4)

Search for package or bug name: Reporting problems